catalog:
  title: RST Proto KogniHome

templates:
- projects-citec
- cmake-cpp
- maven-manual-deploy
- base

variables:
  description: >-
    Type specifications for Robotics and Cognitive Systems specified
    in Google Protocol Buffer's IDL format.
  redmine-project: rst

  repository: https://synergy.cit-ec.de/git/kognihome.rst-kognihome.git
  scm.credentials: synergy.cit-ec
  branches:
  - master
  - '0.12'
  - '0.15'
  - study1505
  - chef-0.2
  - chef-0.4
  tags:
  - '0.12'

  extra-provides:
  - nature: maven
    target: rsb/rst
    version: ${version-name}-SNAPSHOT
  - nature: maven
    target: rsb/rst-sandbox
    version: ${version-name}-SNAPSHOT
  - nature: setuptools
    target: rst
    version: ${version-name}

  post-build-hook/unix.command: |
    ${maven.shell.functions}
    cd ${build-dir}
    if [ `find java -maxdepth 1 -name 'rst*-*.jar'| wc -l` -gt 0 ]; then
      maven_install_with_pom "\$(ls java/rst-*.jar)" "\$(ls java/pom-stable${version-name}.*.xml)"
      maven_install_with_pom "\$(ls java/rstsandbox-*.jar)" "\$(ls java/pom-sandbox${version-name}.*.xml)"
    fi

versions:
- name: master
  variables:
    extra-provides:
    - nature: maven
      target: rsb/rst
      version: 0.12-SNAPSHOT
    - nature: maven
      target: rsb/rst-sandbox
      version: 0.12-SNAPSHOT
    - nature: setuptools
      target: rst
      version: '0.12'
    post-build-hook/unix.command: |
      ${maven.shell.functions}
      cd ${build-dir}
      if [ `find java -maxdepth 1 -name 'rst*-*.jar'| wc -l` -gt 0 ]; then
        maven_install_with_pom "\$(ls java/rst-*.jar)" "java/pom-stable0.12.0.xml"
        maven_install_with_pom "\$(ls java/rstsandbox-*.jar)" "java/pom-sandbox0.12.0.xml"
      fi

- name: study1505
  variables:
    extra-provides:
    - nature: maven
      target: rsb/rst
      version: 0.12-SNAPSHOT
    - nature: maven
      target: rsb/rst-sandbox
      version: 0.12-SNAPSHOT
    - nature: setuptools
      target: rst
      version: '0.12'
    post-build-hook/unix.command: |
      ${maven.shell.functions}
      cd ${build-dir}
      if [ `find java -maxdepth 1 -name 'rst*-*.jar'| wc -l` -gt 0 ]; then
        maven_install_with_pom "\$(ls java/rst-*.jar)" "java/pom-stable0.12.0.xml"
        maven_install_with_pom "\$(ls java/rstsandbox-*.jar)" "java/pom-sandbox0.12.0.xml"
      fi

- name: '0.15'
  variables:
    extra-provides:
    - nature: maven
      target: rsb/rst
      version: '0.15'
    - nature: maven
      target: rsb/rst-sandbox
      version: '0.15'
    - nature: setuptools
      target: rst
      version: '0.15'
    post-build-hook/unix.command: |
      ${maven.shell.functions}
      cd ${build-dir}
      if [ `find java -maxdepth 1 -name 'rst*-*.jar'| wc -l` -gt 0 ]; then
        maven_install_with_pom "\$(ls java/rst-*.jar)" "java/pom-stable0.15.0.xml"
        maven_install_with_pom "\$(ls java/rstsandbox-*.jar)" "java/pom-sandbox0.15.0.xml"
      fi

- name: chef-0.2
  variables:
    extra-provides:
    - nature: maven
      target: rsb/rst
      version: 0.12-SNAPSHOT
    - nature: maven
      target: rsb/rst-sandbox
      version: 0.12-SNAPSHOT
    - nature: setuptools
      target: rst
      version: '0.12'
    post-build-hook/unix.command: |
      ${maven.shell.functions}
      cd ${build-dir}
      if [ `find java -maxdepth 1 -name 'rst*-*.jar'| wc -l` -gt 0 ]; then
        maven_install_with_pom "\$(ls java/rst-*.jar)" "java/pom-stable0.12.0.xml"
        maven_install_with_pom "\$(ls java/rstsandbox-*.jar)" "java/pom-sandbox0.12.0.xml"
      fi

- name: chef-0.4
  variables:
    extra-provides:
    - nature: maven
      target: rsb/rst
      version: 0.12-SNAPSHOT
    - nature: maven
      target: rsb/rst-sandbox
      version: 0.12-SNAPSHOT
    - nature: setuptools
      target: rst
      version: '0.12'
    post-build-hook/unix.command: |
      ${maven.shell.functions}
      cd ${build-dir}
      if [ `find java -maxdepth 1 -name 'rst*-*.jar'| wc -l` -gt 0 ]; then
        maven_install_with_pom "\$(ls java/rst-*.jar)" "java/pom-stable0.12.0.xml"
        maven_install_with_pom "\$(ls java/rstsandbox-*.jar)" "java/pom-sandbox0.12.0.xml"
      fi
